package cn.com.tenlion.configcontent.pojo.vos.contentscans;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ContentScansVO
 * @Description: CBC内容管理查看记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 10:42:41
 * @Version: 3.0
 **/
@ApiModel
public class ContentScansVO {

    @ApiModelProperty(name = "businessId", value = "业务ID")
    @CheckEmptyAnnotation(name = "业务ID")
    private String businessId;
    @ApiModelProperty(name = "contentScansUserName", value = "查看人姓名")
    private String contentScansUserName;
    @ApiModelProperty(name = "contentScansUserIcon", value = "查看人头像")
    private String contentScansUserIcon;
    @ApiModelProperty(name = "contentDispatchId", value = "转发查看则关联的转发ID")
    private String contentDispatchId;

    public String getBusinessId() {
        return businessId == null ? "" : businessId.trim();
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getContentScansUserName() {
        return contentScansUserName == null ? "" : contentScansUserName.trim();
    }

    public void setContentScansUserName(String contentScansUserName) {
        this.contentScansUserName = contentScansUserName;
    }

    public String getContentScansUserIcon() {
        return contentScansUserIcon == null ? "" : contentScansUserIcon.trim();
    }

    public void setContentScansUserIcon(String contentScansUserIcon) {
        this.contentScansUserIcon = contentScansUserIcon;
    }

    public String getContentDispatchId() {
        return contentDispatchId == null ? "" : contentDispatchId.trim();
    }

    public void setContentDispatchId(String contentDispatchId) {
        this.contentDispatchId = contentDispatchId;
    }


}
